Bug 30375 - pam_krb5 can't read password
Summary: pam_krb5 can't read password
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam_krb5   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-02 21:15 UTC by wilburn
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 17:04:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wilburn 2001-03-02 21:15:16 UTC
If I configure the sshd pam file with

	auth       required     /lib/security/pam_krb5.so

in the auth section, I get permissioned denied when trying to login with my
kerberos password. /var/log/secure reports:

	pam_krb5: authenticate error: Cannot read password

If I use instead

	auth       sufficient   /lib/security/pam_pwdb.so shadow
	auth       required     /lib/security/pam_krb5.so use_first_pass

it works fine. Changing to

	auth       sufficient   /lib/security/pam_pwdb.so shadow
	auth       required     /lib/security/pam_krb5.so skip_first_pass

fails as in the first example.

Comment 1 Nalin Dahyabhai 2001-07-09 13:42:49 UTC
This should be fixed in the 1.30-1 errata and in 7.1.


Note You need to log in before you can comment on or make changes to this bug.